org.apache.ignite.internal.processors.cache.distributed.near

## Class GridNearTxQueryEnlistRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.GridCacheIdMessage
    - - org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxQueryEnlistRequest

All Implemented Interfaces:
  Serializable, Message

    public class GridNearTxQueryEnlistRequest
    extends GridCacheIdMessage

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheIdMessage

`cacheId`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDepInfo, CACHE_MSG_INDEX_FIELD_NAME, forceAddDepInfo, MAX_CACHE_MSG_LOOKUP_INDEX`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridNearTxQueryEnlistRequest()`
`GridNearTxQueryEnlistRequest(int cacheId, long threadId, IgniteUuid futId, int miniId, AffinityTopologyVersion topVer, GridCacheVersion lockVer, MvccSnapshot mvccSnapshot, int[] cacheIds, int[] parts, String schema, String qry, Object[] params, int flags, int pageSize, long timeout, long txTimeout, int taskNameHash, boolean clientFirst)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `addDeploymentInfo()` Deployment enabled flag indicates whether deployment info has to be added to this message.
`int[]` `cacheIds()`
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`void` `finishUnmarshal(GridCacheSharedContext ctx, ClassLoader ldr)` This method is called after the message is deserialized and is responsible for unmarshalling state marshalled in `GridCacheMessage.prepareMarshal(GridCacheSharedContext)` method.
`boolean` `firstClientRequest()`
`int` `flags()`
`IgniteUuid` `futureId()`
`int` `miniId()`
`MvccSnapshot` `mvccSnapshot()`
`int` `pageSize()`
`Object[]` `parameters()`
`int[]` `partitions()`
`void` `prepareMarshal(GridCacheSharedContext ctx)` This method is called before the whole message is serialized and is responsible for pre-marshalling state.
`String` `query()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `schemaName()`
`int` `taskNameHash()`
`long` `threadId()`
`long` `timeout()`
`AffinityTopologyVersion` `topologyVersion()` Gets topology version or -1 in case of topology version is not required for this message.
`String` `toString()`
`long` `txTimeout()`
`GridCacheVersion` `version()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheIdMessage

`cacheGroupMessage, cacheId, cacheId, handlerId`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`appendFlag, classError, deployInfo, error, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lastAffinityChangedTopologyVersion, lastAffinityChangedTopologyVersion, lookupIndex, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, messageLogger, nextIndexId, onAckReceived, onClassError, partition, partitionExchangeMessage, prepare, prepareMarshalCacheObject, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, prepareObject, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridNearTxQueryEnlistRequest

    public GridNearTxQueryEnlistRequest()

#### GridNearTxQueryEnlistRequest

    public GridNearTxQueryEnlistRequest(int cacheId,
                                        long threadId,
                                        IgniteUuid futId,
                                        int miniId,
                                        AffinityTopologyVersion topVer,
                                        GridCacheVersion lockVer,
                                        MvccSnapshot mvccSnapshot,
                                        int[] cacheIds,
                                        int[] parts,
                                        String schema,
                                        String qry,
                                        Object[] params,
                                        int flags,
                                        int pageSize,
                                        long timeout,
                                        long txTimeout,
                                        int taskNameHash,
                                        boolean clientFirst)

Parameters:
  `cacheId` - Cache id.
  `threadId` - Thread id.
  `futId` - Future id.
  `miniId` - Mini fture id.
  `topVer` - Topology version.
  `lockVer` - Lock version.
  `mvccSnapshot` - MVCC snspshot.
  `cacheIds` - Involved cache ids.
  `parts` - Partitions.
  `schema` - Schema name.
  `qry` - Query string.
  `params` - Query parameters.
  `flags` - Flags.
  `pageSize` - Fetch page size.
  `timeout` - Timeout milliseconds.
  `txTimeout` - Tx timeout milliseconds.
  `taskNameHash` - Task name hash.
  `clientFirst` - `True` if this is the first client request.

### Method Detail

#### threadId

    public long threadId()

Returns:
  Thread id.

#### futureId

    public IgniteUuid futureId()

Returns:
  Future id.

#### miniId

    public int miniId()

Returns:
  Mini future ID.

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Description copied from class: `GridCacheMessage`
Gets topology version or -1 in case of topology version is not required for this message.

Overrides:
  `topologyVersion` in class `GridCacheMessage`
Returns:
  Topology version.

#### version

    public GridCacheVersion version()

Returns:
  Lock version.

#### mvccSnapshot

    public MvccSnapshot mvccSnapshot()

Returns:
  MVCC snapshot.

#### cacheIds

    public int[] cacheIds()

Returns:
  Involved cache ids.

#### partitions

    public int[] partitions()

Returns:
  Partitions.

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### query

    public String query()

Returns:
  Query string.

#### parameters

    public Object[] parameters()

Returns:
  Query parameters.

#### flags

    public int flags()

Returns:
  Flags.

#### pageSize

    public int pageSize()

Returns:
  Fetch page size.

#### timeout

    public long timeout()

Returns:
  Timeout milliseconds.

#### txTimeout

    public long txTimeout()

Returns:
  Tx timeout milliseconds.

#### taskNameHash

    public int taskNameHash()

Returns:
  Task name hash.

#### firstClientRequest

    public boolean firstClientRequest()

Returns:
  `True` if this is the first client request.

#### addDeploymentInfo

    public boolean addDeploymentInfo()

Deployment enabled flag indicates whether deployment info has to be added to this message.

Specified by:
  `addDeploymentInfo` in class `GridCacheMessage`
Returns:
  `true` or if deployment info must be added to the the message, `false` otherwise.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `GridCacheIdMessage`
Returns:
  Fields count.

#### prepareMarshal

    public void prepareMarshal(GridCacheSharedContext ctx)
                        throws IgniteCheckedException

This method is called before the whole message is serialized and is responsible for pre-marshalling state.

Overrides:
  `prepareMarshal` in class `GridCacheMessage`
Parameters:
  `ctx` - Cache context.
Throws:
  `IgniteCheckedException` - If failed.

#### finishUnmarshal

    public void finishUnmarshal(GridCacheSharedContext ctx,
                                ClassLoader ldr)
                         throws IgniteCheckedException

This method is called after the message is deserialized and is responsible for unmarshalling state marshalled in `GridCacheMessage.prepareMarshal(GridCacheSharedContext)` method.

Overrides:
  `finishUnmarshal` in class `GridCacheMessage`
Parameters:
  `ctx` - Context.
  `ldr` - Class loader.
Throws:
  `IgniteCheckedException` - If failed.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridCacheIdMessage`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridCacheIdMessage`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Returns:
  Message type.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridCacheIdMessage`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022